aspose file tools*
The moose likes JDBC and the fly likes db2 connection with tomcat and jdk1.4 ? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Databases » JDBC
Bookmark "db2 connection with tomcat and jdk1.4 ?" Watch "db2 connection with tomcat and jdk1.4 ?" New topic
Author

db2 connection with tomcat and jdk1.4 ?

Greg Brzezinski
Greenhorn

Joined: Jun 15, 2003
Posts: 4
I successfully managed to connect to a db2 database from a servlet running in tomcat 4.x and with jdk 1.3. All components are running on Solaris servers. I'm also using Struts and the commons-dbcp library.
If I switch from jdk 1.3 to jdk 1.4 I get the following:
java.sql.SQLException: Cannot create JDBC driver of class 'COM.ibm.db2.jdbc.app.DB2Driver'
All the settings are exactly the same, except for JAVA_HOME, which is pointing to the JDK 1.4 instead of JDK 1.3
Any suggestions are greatly appreciated!
Greg


[SCJP, SCJD]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: db2 connection with tomcat and jdk1.4 ?